package com.stormtales.notevault.data.repositories;

import android.app.Application;
import com.stormtales.notevault.data.MusicDatabase;
import com.stormtales.notevault.data.dao.SongDao;
import com.stormtales.notevault.data.entities.Song;

import java.util.concurrent.Executors;

public class SongRepository {
    private SongDao songDao;
    public SongRepository(Application application) {
        MusicDatabase database = MusicDatabase.getDatabase(application);
        songDao = database.getSongTable();
    }
    public void insert(Song song) {
        Executors.newSingleThreadExecutor().execute(() -> {
            songDao.insert(song);
        });
    }
}
