package com.stormtales.notevault.ui.home;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;
import com.stormtales.notevault.data.entities.Song;
import com.stormtales.notevault.data.repositories.SongRepository;

public class HomeViewModel extends ViewModel {

    private final MutableLiveData<String> mText;
    private SongRepository songRepository;

    public HomeViewModel() {
        mText = new MutableLiveData<>();
        mText.setValue("This is home fragment");
    }

    public LiveData<String> getText() {
        return mText;
    }

    public void addSong(Song song) {
        songRepository.insert(song);
    }
}